<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_aprovacoes = array();
	$tdatasenuc_aprovacoes[".NumberOfChars"] = 80; 
	$tdatasenuc_aprovacoes[".ShortName"] = "senuc_aprovacoes";
	$tdatasenuc_aprovacoes[".OwnerID"] = "id_nucleo";
	$tdatasenuc_aprovacoes[".OriginalTable"] = "senuc_aprovacoes";

//	field labels
$fieldLabelssenuc_aprovacoes = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["id_nucleo"] = "Id Nucleo";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["id_nucleo"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["id_aluno"] = "Id Aluno";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["id_aluno"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["semestre"] = "Semestre";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["semestre"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["instituicao"] = "Instituicao";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["instituicao"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["tipo_instituicao"] = "Tipo Instituicao";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["tipo_instituicao"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["usuario"] = "Usuario";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["usuario"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["data"] = "Data";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["data"] = "";
	$fieldLabelssenuc_aprovacoes["Portuguese(Brazil)"]["curso"] = "Curso";
	$fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]["curso"] = "";
	if (count($fieldToolTipssenuc_aprovacoes["Portuguese(Brazil)"]))
		$tdatasenuc_aprovacoes[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_aprovacoes[".NCSearch"] = true;



$tdatasenuc_aprovacoes[".shortTableName"] = "senuc_aprovacoes";
$tdatasenuc_aprovacoes[".nSecOptions"] = 1;
$tdatasenuc_aprovacoes[".recsPerRowList"] = 1;
$tdatasenuc_aprovacoes[".mainTableOwnerID"] = "id_nucleo";
$tdatasenuc_aprovacoes[".moveNext"] = 1;
$tdatasenuc_aprovacoes[".nType"] = 0;

$tdatasenuc_aprovacoes[".strOriginalTableName"] = "senuc_aprovacoes";




$tdatasenuc_aprovacoes[".showAddInPopup"] = true;

$tdatasenuc_aprovacoes[".showEditInPopup"] = true;

$tdatasenuc_aprovacoes[".showViewInPopup"] = true;

$tdatasenuc_aprovacoes[".fieldsForRegister"] = array();

$tdatasenuc_aprovacoes[".listAjax"] = false;

	$tdatasenuc_aprovacoes[".audit"] = false;

	$tdatasenuc_aprovacoes[".locking"] = false;

$tdatasenuc_aprovacoes[".listIcons"] = true;
$tdatasenuc_aprovacoes[".edit"] = true;
$tdatasenuc_aprovacoes[".view"] = true;

$tdatasenuc_aprovacoes[".exportTo"] = true;

$tdatasenuc_aprovacoes[".printFriendly"] = true;


$tdatasenuc_aprovacoes[".showSimpleSearchOptions"] = false;

$tdatasenuc_aprovacoes[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_aprovacoes[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_aprovacoes[".isUseAjaxSuggest"] = true;

$tdatasenuc_aprovacoes[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_aprovacoes[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_aprovacoes[".isUseTimeForSearch"] = false;




$tdatasenuc_aprovacoes[".allSearchFields"] = array();

$tdatasenuc_aprovacoes[".allSearchFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".allSearchFields"][] = "semestre";
$tdatasenuc_aprovacoes[".allSearchFields"][] = "ano";
$tdatasenuc_aprovacoes[".allSearchFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".allSearchFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".allSearchFields"][] = "curso";
$tdatasenuc_aprovacoes[".allSearchFields"][] = "usuario";
$tdatasenuc_aprovacoes[".allSearchFields"][] = "data";

$tdatasenuc_aprovacoes[".googleLikeFields"][] = "id";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "id_nucleo";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "semestre";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "ano";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "data";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "usuario";
$tdatasenuc_aprovacoes[".googleLikeFields"][] = "curso";


$tdatasenuc_aprovacoes[".advSearchFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".advSearchFields"][] = "semestre";
$tdatasenuc_aprovacoes[".advSearchFields"][] = "ano";
$tdatasenuc_aprovacoes[".advSearchFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".advSearchFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".advSearchFields"][] = "curso";
$tdatasenuc_aprovacoes[".advSearchFields"][] = "usuario";
$tdatasenuc_aprovacoes[".advSearchFields"][] = "data";

$tdatasenuc_aprovacoes[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_aprovacoes[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY ano, semestre DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_aprovacoes[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_aprovacoes[".orderindexes"] = array();
$tdatasenuc_aprovacoes[".orderindexes"][] = array(5, (1 ? "ASC" : "DESC"), "ano");
$tdatasenuc_aprovacoes[".orderindexes"][] = array(4, (0 ? "ASC" : "DESC"), "semestre");

$tdatasenuc_aprovacoes[".sqlHead"] = "SELECT id,  id_nucleo,  id_aluno,  semestre,  ano,  instituicao,  tipo_instituicao,  `data`,  usuario,  curso";
$tdatasenuc_aprovacoes[".sqlFrom"] = "FROM senuc_aprovacoes";
$tdatasenuc_aprovacoes[".sqlWhereExpr"] = "";
$tdatasenuc_aprovacoes[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_aprovacoes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_aprovacoes[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_aprovacoes = array();
$tableKeyssenuc_aprovacoes[] = "id";
$tdatasenuc_aprovacoes[".Keys"] = $tableKeyssenuc_aprovacoes;

$tdatasenuc_aprovacoes[".listFields"] = array();
$tdatasenuc_aprovacoes[".listFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".listFields"][] = "semestre";
$tdatasenuc_aprovacoes[".listFields"][] = "ano";
$tdatasenuc_aprovacoes[".listFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".listFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".listFields"][] = "curso";
$tdatasenuc_aprovacoes[".listFields"][] = "usuario";
$tdatasenuc_aprovacoes[".listFields"][] = "data";

$tdatasenuc_aprovacoes[".viewFields"] = array();
$tdatasenuc_aprovacoes[".viewFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".viewFields"][] = "semestre";
$tdatasenuc_aprovacoes[".viewFields"][] = "ano";
$tdatasenuc_aprovacoes[".viewFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".viewFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".viewFields"][] = "curso";
$tdatasenuc_aprovacoes[".viewFields"][] = "usuario";
$tdatasenuc_aprovacoes[".viewFields"][] = "data";

$tdatasenuc_aprovacoes[".addFields"] = array();
$tdatasenuc_aprovacoes[".addFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".addFields"][] = "semestre";
$tdatasenuc_aprovacoes[".addFields"][] = "ano";
$tdatasenuc_aprovacoes[".addFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".addFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".addFields"][] = "curso";

$tdatasenuc_aprovacoes[".inlineAddFields"] = array();

$tdatasenuc_aprovacoes[".editFields"] = array();
$tdatasenuc_aprovacoes[".editFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".editFields"][] = "semestre";
$tdatasenuc_aprovacoes[".editFields"][] = "ano";
$tdatasenuc_aprovacoes[".editFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".editFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".editFields"][] = "curso";

$tdatasenuc_aprovacoes[".inlineEditFields"] = array();

$tdatasenuc_aprovacoes[".exportFields"] = array();
$tdatasenuc_aprovacoes[".exportFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".exportFields"][] = "semestre";
$tdatasenuc_aprovacoes[".exportFields"][] = "ano";
$tdatasenuc_aprovacoes[".exportFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".exportFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".exportFields"][] = "curso";
$tdatasenuc_aprovacoes[".exportFields"][] = "usuario";
$tdatasenuc_aprovacoes[".exportFields"][] = "data";

$tdatasenuc_aprovacoes[".printFields"] = array();
$tdatasenuc_aprovacoes[".printFields"][] = "id_aluno";
$tdatasenuc_aprovacoes[".printFields"][] = "semestre";
$tdatasenuc_aprovacoes[".printFields"][] = "ano";
$tdatasenuc_aprovacoes[".printFields"][] = "instituicao";
$tdatasenuc_aprovacoes[".printFields"][] = "tipo_instituicao";
$tdatasenuc_aprovacoes[".printFields"][] = "curso";
$tdatasenuc_aprovacoes[".printFields"][] = "usuario";
$tdatasenuc_aprovacoes[".printFields"][] = "data";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["id"] = $fdata;
//	id_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_nucleo";
	$fdata["GoodName"] = "id_nucleo";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Id Nucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id_nucleo"; 
		$fdata["FullName"] = "id_nucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["id_nucleo"] = $fdata;
//	id_aluno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "id_aluno";
	$fdata["GoodName"] = "id_aluno";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Id Aluno"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_aluno"; 
		$fdata["FullName"] = "id_aluno";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				$edata["LCType"] = 1;
			
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_aluno";
	$edata["LookupOrderBy"] = "nome";
	
		
		
		
		$edata["FastType"] = true; 
	
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		$edata["inputStyle"] = " width:250px;";
	$edata["controlWidth"] = 250;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["id_aluno"] = $fdata;
//	semestre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "semestre";
	$fdata["GoodName"] = "semestre";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Semestre"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "semestre"; 
		$fdata["FullName"] = "semestre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
					$edata["LookupType"] = 0;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
		
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "1";
	$edata["LookupValues"][] = "2";

	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["semestre"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["ano"] = $fdata;
//	instituicao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "instituicao";
	$fdata["GoodName"] = "instituicao";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Instituicao"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "instituicao"; 
		$fdata["FullName"] = "instituicao";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		$edata["inputStyle"] = " width:250px;";
	$edata["controlWidth"] = 250;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["instituicao"] = $fdata;
//	tipo_instituicao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "tipo_instituicao";
	$fdata["GoodName"] = "tipo_instituicao";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Tipo Instituicao"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "tipo_instituicao"; 
		$fdata["FullName"] = "tipo_instituicao";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "tipo_instituicao";
	
		
	$edata["LookupTable"] = "senuc_tipo_instituicao";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["tipo_instituicao"] = $fdata;
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Data"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data"; 
		$fdata["FullName"] = "`data`";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["data"] = $fdata;
//	usuario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "usuario";
	$fdata["GoodName"] = "usuario";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Usuario"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "usuario"; 
		$fdata["FullName"] = "usuario";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "username";
	
		
	$edata["LookupTable"] = "senuc_login";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["usuario"] = $fdata;
//	curso
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "curso";
	$fdata["GoodName"] = "curso";
	$fdata["ownerTable"] = "senuc_aprovacoes";
	$fdata["Label"] = "Curso"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "curso"; 
		$fdata["FullName"] = "curso";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:250px;";
	$edata["controlWidth"] = 250;
	
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_aprovacoes["curso"] = $fdata;

	
$tables_data["senuc_aprovacoes"]=&$tdatasenuc_aprovacoes;
$field_labels["senuc_aprovacoes"] = &$fieldLabelssenuc_aprovacoes;
$fieldToolTips["senuc_aprovacoes"] = &$fieldToolTipssenuc_aprovacoes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_aprovacoes"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_aprovacoes"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_aprovacoes()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  id_nucleo,  id_aluno,  semestre,  ano,  instituicao,  tipo_instituicao,  `data`,  usuario,  curso";
$proto0["m_strFrom"] = "FROM senuc_aprovacoes";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY ano, semestre DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_aprovacoes"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "id_nucleo",
	"m_strTable" => "senuc_aprovacoes"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "id_aluno",
	"m_strTable" => "senuc_aprovacoes"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "semestre",
	"m_strTable" => "senuc_aprovacoes"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_aprovacoes"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "instituicao",
	"m_strTable" => "senuc_aprovacoes"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_instituicao",
	"m_strTable" => "senuc_aprovacoes"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "senuc_aprovacoes"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "usuario",
	"m_strTable" => "senuc_aprovacoes"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "curso",
	"m_strTable" => "senuc_aprovacoes"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto25=array();
$proto25["m_link"] = "SQLL_MAIN";
			$proto26=array();
$proto26["m_strName"] = "senuc_aprovacoes";
$proto26["m_columns"] = array();
$proto26["m_columns"][] = "id";
$proto26["m_columns"][] = "id_nucleo";
$proto26["m_columns"][] = "id_aluno";
$proto26["m_columns"][] = "semestre";
$proto26["m_columns"][] = "ano";
$proto26["m_columns"][] = "instituicao";
$proto26["m_columns"][] = "curso";
$proto26["m_columns"][] = "tipo_instituicao";
$proto26["m_columns"][] = "data";
$proto26["m_columns"][] = "usuario";
$obj = new SQLTable($proto26);

$proto25["m_table"] = $obj;
$proto25["m_alias"] = "";
$proto27=array();
$proto27["m_sql"] = "";
$proto27["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto27["m_column"]=$obj;
$proto27["m_contained"] = array();
$proto27["m_strCase"] = "";
$proto27["m_havingmode"] = "0";
$proto27["m_inBrackets"] = "0";
$proto27["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto27);

$proto25["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto25);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto29=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_aprovacoes"
));

$proto29["m_column"]=$obj;
$proto29["m_bAsc"] = 1;
$proto29["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto29);

$proto0["m_orderby"][]=$obj;					
												$proto31=array();
						$obj = new SQLField(array(
	"m_strName" => "semestre",
	"m_strTable" => "senuc_aprovacoes"
));

$proto31["m_column"]=$obj;
$proto31["m_bAsc"] = 0;
$proto31["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto31);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_aprovacoes = createSqlQuery_senuc_aprovacoes();
										$tdatasenuc_aprovacoes[".sqlquery"] = $queryData_senuc_aprovacoes;
	
if(isset($tdatasenuc_aprovacoes["field2"])){
	$tdatasenuc_aprovacoes["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_aprovacoes["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_aprovacoes["field2"]["LookupType"] = 4;
	$tdatasenuc_aprovacoes["field2"]["LinkField"] = "email";
	$tdatasenuc_aprovacoes["field2"]["DisplayField"] = "name";
	$tdatasenuc_aprovacoes[".hasCustomViewField"] = true;
}

include_once(getabspath("include/senuc_aprovacoes_events.php"));
$tableEvents["senuc_aprovacoes"] = new eventclass_senuc_aprovacoes;
$tdatasenuc_aprovacoes[".hasEvents"] = true;

$cipherer = new RunnerCipherer("senuc_aprovacoes");

?>